## ros-indigo-ros-controllers 0.9.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(ros_controllers)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-indigo-ros-controllers (0.9.4-0trusty) trusty; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Fri, 30 Jun 2017 23:00:00 -0000

ros-indigo-ros-controllers (0.9.3-0trusty) trusty; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Fri, 12 Feb 2016 00:00:00 -0000

ros-indigo-ros-controllers (0.9.2-0trusty) trusty; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 03 May 2015 23:00:00 -0000

ros-indigo-ros-controllers (0.9.1-0trusty) trusty; urgency=high

  * Update package maintainers
  * Contributors: Adolfo Rodriguez Tsouroukdissian

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 03 Nov 2014 00:00:00 -0000

ros-indigo-ros-controllers (0.9.0-0trusty) trusty; urgency=high

  * Add rqt_joint_trajectory_controller to metapackage

 -- Wim Meeussen <wim@hidof.com>  Fri, 31 Oct 2014 00:00:00 -0000

ros-indigo-ros-controllers (0.8.1-0trusty) trusty; urgency=high



 -- Wim Meeussen <wim@hidof.com>  Thu, 10 Jul 2014 23:00:00 -0000

ros-indigo-ros-controllers (0.8.0-0trusty) trusty; urgency=high



 -- Wim Meeussen <wim@hidof.com>  Sun, 11 May 2014 23:00:00 -0000

ros-indigo-ros-controllers (0.7.2-0trusty) trusty; urgency=high



 -- Wim Meeussen <wim@hidof.com>  Mon, 31 Mar 2014 23:00:00 -0000

ros-indigo-ros-controllers (0.7.1-0trusty) trusty; urgency=high



 -- Wim Meeussen <wim@hidof.com>  Sun, 30 Mar 2014 23:00:00 -0000

ros-indigo-ros-controllers (0.7.0-0trusty) trusty; urgency=high

  * Add diff_drive_controller and gripper_action_controller dependencies.
  * Contributors: Adolfo Rodriguez Tsouroukdissian, Dave Coleman

 -- Wim Meeussen <wim@hidof.com>  Fri, 28 Mar 2014 00:00:00 -0000

ros-indigo-ros-controllers (0.6.0-0trusty) trusty; urgency=high

  * Add self as ros_controllers maintainer.
  * Contributors: Adolfo Rodriguez Tsouroukdissian

 -- Wim Meeussen <wim@hidof.com>  Wed, 05 Feb 2014 00:00:00 -0000

ros-indigo-ros-controllers (0.5.4-0trusty) trusty; urgency=high

  * Add joint_trajectory_controller to metapackage.

 -- Wim Meeussen <wim@hidof.com>  Sun, 29 Sep 2013 23:00:00 -0000

ros-indigo-ros-controllers (0.5.3-0trusty) trusty; urgency=high



 -- Wim Meeussen <wim@hidof.com>  Tue, 03 Sep 2013 23:00:00 -0000

ros-indigo-ros-controllers (0.5.2-0trusty) trusty; urgency=high



 -- Wim Meeussen <wim@hidof.com>  Mon, 05 Aug 2013 23:00:00 -0000

ros-indigo-ros-controllers (0.5.1-0trusty) trusty; urgency=high

  * Added to maintainer list

 -- Wim Meeussen <wim@hidof.com>  Mon, 15 Jul 2013 23:00:00 -0000

ros-indigo-ros-controllers (0.5.0-0trusty) trusty; urgency=high

  * Added force_torque_sensor_controller
  * Removed controller_msgs, switched to depend on control_msgs
  * Added imu_sensor_controller
  * Updates to effort_controllers

 -- Wim Meeussen <wim@hidof.com>  Mon, 15 Jul 2013 23:00:00 -0000

ros-indigo-ros-controllers (0.4.0-0trusty) trusty; urgency=high

  * Initial release of ros_controllers into bloom/ROS distro

 -- Wim Meeussen <wim@hidof.com>  Tue, 25 Jun 2013 23:00:00 -0000

=== debian/control ===
Source: ros-indigo-ros-controllers
Section: misc
Priority: extra
Maintainer: Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: http://ros.org/wiki/ros_controllers
Standards-Version: 3.9.2

Package: ros-indigo-ros-controllers
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-diff-drive-controller, ros-indigo-effort-controllers, ros-indigo-force-torque-sensor-controller, ros-indigo-forward-command-controller, ros-indigo-gripper-action-controller, ros-indigo-imu-sensor-controller, ros-indigo-joint-state-controller, ros-indigo-joint-trajectory-controller, ros-indigo-position-controllers, ros-indigo-rqt-joint-trajectory-controller, ros-indigo-velocity-controllers
Description: Library of ros controllers

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-ros-controllers//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
